#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konqueror
Epoch:          1
Version: 25.03.90
Release:        %mkrel %{rel}
Summary:        KDE file and web browser
License:        GPLv2+
Group:          Networking/WWW
Url:            https://apps.kde.org/konqueror/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64
## Upstream patches

## upstreamable patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Su)

BuildRequires:  hunspell
BuildRequires:  pkgconfig(hunspell)

Requires:       plasma-workspace
Requires:       keditbookmarks
Requires:       qtwebengine6
Requires:       indexhtml
Recommends:     konq-plugins
Recommends:     %{name}-handbook

Provides:       webclient

# ease upgrade mga9 -> mga10
Conflicts:      kio-extras < 23.08.1-2
Conflicts:      konq-plugins < 1:24.01.90-2


%description
Konqueror is KDE's Webbrowser and Swiss army knife for any kind of
file-management and file previewing.

Features:
  * Webbrowsing using KHTML or KDEWebEngine as rendering engines
  * File management using most of Dolphin's features (including version-control,
    service menus and the basic UI)
  * File management on ftp and sftp servers
  * Full featured FTP-client (you can split views to display local and remote
    folders and previews in the same window)
  * Embedded applications to preview and edit files (e.g. Okular and KOffice for
    documents, Gwenview for pictures, KTextEditor for text-files)
  * Different kinds of plugins: Service-menus, KParts (embedded applications),
  * KIO (accessing files using special protocols like http or ftp) and
  * KPart-plugins (like AdBlocker...)

%files -f %name.lang
%_kf6_sysconfdir/xdg/useragenttemplatesrc
%_kf6_sysconfdir/xdg/autostart/konqy_preload.desktop
%_kf6_categoriesdir/konqueror.*categories
%_kf6_categoriesdir/akregatorplugin.*categories
%_kf6_bindir/%{name}
%_kf6_bindir/kfmclient
%dir %_kf6_datadir/konqueror
%_kf6_datadir/konqueror/icons/
%_kf6_datadir/konqueror/partsrcfiles/
%_qt6_plugindir/dolphinpart/kpartplugins/konq_shellcmdplugin.so
%dir %_qt6_plugindir/konqueror/
%_qt6_plugindir/konqueror/kpartplugins/
%_qt6_plugindir/konqueror/sidebar/
%dir %_qt6_plugindir/konqueror_kcms
%_qt6_plugindir/konqueror_kcms/kcm_bookmarks.so
%_qt6_plugindir/konqueror_kcms/khtml_cookies.so
%_qt6_plugindir/konqueror_kcms/kcm_history.so
%_qt6_plugindir/konqueror_kcms/kcm_konq.so
%_qt6_plugindir/konqueror_kcms/kcm_performance.so
%_qt6_plugindir/konqueror_kcms/khtml_appearance.so
%_qt6_plugindir/konqueror_kcms/khtml_behavior.so
%_qt6_plugindir/konqueror_kcms/khtml_cache.so
%_qt6_plugindir/konqueror_kcms/khtml_filter.so
%_qt6_plugindir/konqueror_kcms/khtml_general.so
%_qt6_plugindir/konqueror_kcms/khtml_java_js.so
%_qt6_plugindir/konqueror_kcms/khtml_useragent.so
%_qt6_plugindir/konqueror_kcms/khtml_tabs.so
%_qt6_plugindir/konqueror_kget_browser_integration.so
%_kf6_plugindir/kio/bookmarks.so
%_kf6_plugindir/parts/fsviewpart.so
%_kf6_plugindir/parts/konq_sidebar.so
%_kf6_plugindir/kfileitemaction/akregatorplugin.so
%_kf6_applicationsdir/bookmarks.desktop
%_kf6_applicationsdir/kcm_bookmarks.desktop
%_kf6_applicationsdir/kfmclient.desktop
%_kf6_applicationsdir/kfmclient_html.desktop
%_kf6_applicationsdir/kfmclient_war.desktop
%_kf6_applicationsdir/konqbrowser.desktop
%_kf6_applicationsdir/kfmclient_dir.desktop
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_datadir/kcontrol/*
%_kf6_datadir/kcmcss/template.css
%_kf6_datadir/kf6/kbookmark/directory_bookmarkbar.desktop
%_kf6_datadir/config.kcfg/konqueror.kcfg
%_kf6_datadir/konqueror/about/
%_kf6_datadir/konqueror/pics/
%_kf6_datadir/kio_bookmarks/
%_kf6_datadir/dbus-1/interfaces/org.kde.Konqueror.Main.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.Konqueror.MainWindow.xml
%_kf6_iconsdir/*/*/*/konqueror.*
# kwebenginepart
%_kf6_libdir/libkwebenginepart.so
%_kf6_plugindir/parts/webenginepart.so
%_kf6_datadir/webenginepart/
%_kf6_iconsdir/*/*/*/webengine.*

#------------------------------------------------------------------------------

%package        handbook
Summary:        Konqueror Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides konqueror handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%{name}/
%doc %_kf6_docdir/HTML/*/kcontrol/*
%doc %_kf6_docdir/HTML/*/kcontrol6/*

#------------------------------------------------------------------------------

%package -n     konq-plugins
Summary:        Konqueror plugins
Group:          Networking/WWW
Requires:       konqueror

%description -n konq-plugins
This module contains plugins that interact with Konqueror.

%files -n konq-plugins
%_kf6_categoriesdir/fsview.categories
%_kf6_sysconfdir/xdg/translaterc
%_kf6_sysconfdir/xdg/konqsidebartngrc
%_kf6_sysconfdir/xdg/konqautofiltersrc
%_kf6_bindir/fsview
%_qt6_plugindir/akregatorkonqfeedicon.so
%_qt6_plugindir/autorefresh.so
%_qt6_plugindir/babelfishplugin.so
%_qt6_plugindir/dolphinpart/kpartplugins/dirfilterplugin.so
%_qt6_plugindir/dolphinpart/kpartplugins/kimgallery.so
%_qt6_plugindir/khtmlsettingsplugin.so
%_qt6_plugindir/temporarysavedir.so
%_qt6_plugindir/uachangerplugin.so
%dir %_qt6_plugindir/khtml
%_qt6_plugindir/khtml/kpartplugins/
%dir %_qt6_plugindir/kwebkitpart
%_qt6_plugindir/kwebkitpart/kpartplugins/
%_kf6_datadir/konqsidebartng/
%_kf6_iconsdir/hicolor/*/apps/fsview.png
%_kf6_iconsdir/hicolor/*/actions/babelfish.png
%_kf6_iconsdir/hicolor/*/actions/imagegallery.png
# kwebenginepart
%dir %_qt6_plugindir/webenginepart
%_qt6_plugindir/webenginepart/kpartplugins/
%_kf6_datadir/akregator/pics/feed.png
%_kf6_datadir/kconf_update/webenginepart.upd
# new webarchiver plugin
%_kf6_bindir/kcreatewebarchive
%_qt6_plugindir/webarchiverplugin.so
%_kf6_plugindir/thumbcreator/webarchivethumbnail.so
%_kf6_datadir/config.kcfg/kcreatewebarchive.kcfg
%_kf6_iconsdir/hicolor/*/actions/webarchiver.png
#

#------------------------------------------------------------------------------

%define kf6konq_major 7
%define libkf6konq %mklibname kf6konq %kf6konq_major

%package -n     %libkf6konq
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkf6konq
Runtime Library for Konqueror.

%files -n %libkf6konq
%_kf6_libdir/libKF6Konq.so.%{kf6konq_major}
%_kf6_libdir/libKF6Konq.so.5{,.*}

#------------------------------------------------------------------------------

%define kf6konqsettings_major 7
%define libkf6konqsettings %mklibname kf6konqsettings %kf6konqsettings_major

%package -n     %libkf6konqsettings
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkf6konqsettings
Runtime Library for Konqueror.

%files -n %libkf6konqsettings
%_kf6_libdir/libKF6KonqSettings.so.%{kf6konqsettings_major}
%_kf6_libdir/libKF6KonqSettings.so.5{,.*}

#------------------------------------------------------------------------------

%define konqsidebarplugin_major 6
%define libkonqsidebarplugin %mklibname konqsidebarplugin %konqsidebarplugin_major

%package -n     %libkonqsidebarplugin
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkonqsidebarplugin
Runtime Library for Konqueror.

%files -n %libkonqsidebarplugin
%_kf6_libdir/libkonqsidebarplugin.so.%{konqsidebarplugin_major}
%_kf6_libdir/libkonqsidebarplugin.so.%{version}

#------------------------------------------------------------------------------

%define konquerorprivate_major 5
%define libkonquerorprivate %mklibname konquerorprivate %konquerorprivate_major

%package -n     %libkonquerorprivate
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkonquerorprivate
Runtime Library for Konqueror.

%files -n %libkonquerorprivate
%_kf6_libdir/libkonquerorprivate.so.%{konquerorprivate_major}{,.*}
%_kf6_libdir/libkonquerorprivate.so.%{version}

#------------------------------------------------------------------------------

%define kf6konq_devel %mklibname kf6konq -d

%package -n     %kf6konq_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6konq = %epoch:%version-%release
Requires:       %libkf6konqsettings = %epoch:%version-%release
Requires:       %libkonqsidebarplugin = %epoch:%version-%release
Requires:       %libkonquerorprivate = %epoch:%version-%release
Provides:       %{name}-devel = %epoch:%version-%release

%description -n %kf6konq_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6konq_devel
%_kf6_includedir/*
%_kf6_libdir/libKF6Konq.so
%_kf6_libdir/libKF6KonqSettings.so
%_kf6_libdir/libkonqsidebarplugin.so
%_kf6_libdir/cmake/KF6Konq/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON

%cmake_build

%install
%cmake_install
%find_lang %name --all-name

# From upstream:
# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
#
# On Wayland the icon to use for the main window is read from the desktop file, which needs
# to be in the applications directory, so it needs to be installed there, too (bug #452149)
#
# We don't install a services file into the applications directory
rm -rf %buildroot%_kf6_applicationsdir/org.kde.konqueror.desktop


%changelog
* Mon Mar 31 2025 daviddavid <daviddavid> 1:25.03.90-1.mga10
+ Revision: 2172187
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 1:24.12.3-1.mga10
+ Revision: 2163537
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 1:24.12.2-1.mga10
+ Revision: 2147199
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 1:24.12.1-1.mga10
+ Revision: 2136600
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 1:24.12.0-1.mga10
+ Revision: 2123840
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 1:24.11.80-1.mga10
+ Revision: 2116397
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 1:24.08.3-1.mga10
+ Revision: 2114093
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 1:24.08.2-1.mga10
+ Revision: 2105588
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 1:24.08.1-1.mga10
+ Revision: 2097457
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 1:24.08.0-1.mga10
+ Revision: 2087649
- New version 24.08.0

* Tue Aug 13 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2086450
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073257
- New version 24.05.1

* Mon Jun 10 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2072449
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058659
- New version 24.02.2

* Sun Mar 03 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2047316
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037696
- New version 24.01.95

* Mon Feb 05 2024 daviddavid <daviddavid> 1:24.01.90-3.mga10
+ Revision: 2037272
- fix dependencies

* Sat Jan 27 2024 daviddavid <daviddavid> 1:24.01.90-2.mga10
+ Revision: 2035321
- fix conflicting files "/usr/lib(64)/qt6/plugins/konqueror/kpartplugins/searchbarplugin.so"

* Tue Jan 23 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2033823
- New version 24.01.90

* Sun Jan 07 2024 daviddavid <daviddavid> 1:24.01.85-2.mga10
+ Revision: 2028730
- fix non devel files in devel sub-pkg (libkwebenginepart.so)
- fix some owner dir

* Thu Jan 04 2024 neoclust <neoclust> 1:24.01.85-1.mga10
+ Revision: 2027516
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 1:24.01.75-1.mga10
+ Revision: 2009169
- New version 24.01.75

* Sat Sep 30 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1992313
- New version 23.08.1

* Sun May 28 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1959457
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946529
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941822
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922943
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911437
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905289
- New version 22.08.3

* Wed Nov 09 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1904825
- New version 22.08.1
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873104
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853997
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1852514
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 1:21.12.0-2.mga9
+ Revision: 1846171
- Mageia 9 Mass Rebuild

* Sat Jan 01 2022 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1766013
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724096
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1719677
- New version 21.04.0

* Sat Mar 06 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1700126
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694111
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1657313
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644028
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633844
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627086
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1617353
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604151
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596889
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584535
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1569712
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559354
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540903
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513324
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Tue Dec 17 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1468491
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457930
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1447795
- New version 19.08.1

* Mon Sep 02 2019 daviddavid <daviddavid> 1:19.04.3-2.mga8
+ Revision: 1436226
- add patch to toggle 'Always try to have one preloaded instance' to
  default off (mga#23969, kde#398996)

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425022
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390477
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1389423
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382728
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375660
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365600
- New version 18.12.2

* Wed Jan 23 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1360180
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339542
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332772
- New version 18.08.3

* Tue Nov 20 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1332132
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298620
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1241518
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201923
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194945
- New version 17.12.1

* Fri Jan 05 2018 neoclust <neoclust> 1:17.12.0-2.mga7
+ Revision: 1190530
- New version 17.12.0

* Thu Nov 02 2017 daviddavid <daviddavid> 1:17.08.0-2.mga7
+ Revision: 1175611
- rebuild for new tidy 5.4.0

* Fri Aug 25 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1147889
- New version 17.08.0
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 1:17.04.3-2.mga7
+ Revision: 1133582
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1131748
- New version 17.04.3

* Sun Jul 16 2017 tmb <tmb> 1:16.12.3-3.mga7
+ Revision: 1123569
- bump rel past mga6 updates

* Wed Jul 12 2017 daviddavid <daviddavid> 1:16.12.3-2.mga6
+ Revision: 1109671
- requires qtwebengine5 (mga#21234)

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090105
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076845
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 1:16.11.90-1.mga6
+ Revision: 1075573
- imported package konqueror

